import { ITimelineStepRenderer, ITooltipService, TimelineLayout, TimelineRenderingOptions } from "../abstraction";
export declare abstract class TimelineStepRenderer<T> implements ITimelineStepRenderer<T> {
    private readonly _toolTipService;
    constructor(_toolTipService: ITooltipService);
    renderLead(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    protected abstract resolveLeadTime(first: T, second: T, opts: TimelineRenderingOptions): number;
    renderDetail(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    protected abstract renderDetailContent(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    renderStep(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    protected abstract renderStepContent(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    protected onDidMouseEnterStep(ev: UIEvent, item: T, index: number, items: T[], opts: TimelineRenderingOptions): void;
    protected abstract renderTooltipContent(item: T, index: number, items: T[], opts: TimelineRenderingOptions): unknown;
    protected resolveLeadLayout(index: number, layout: TimelineLayout): string;
    protected resolveBlockquoteLayout(index: number, layout: TimelineLayout): string;
    protected resolveDetailLayout(index: number, layout: TimelineLayout): string;
    protected resolveStepLayout(index: number, layout: TimelineLayout): string;
}
